Bug 81024 - EDITING: Tables with input fields glitch when printing, but only if the input fields' variables are being used in the table
Summary: EDITING: Tables with input fields glitch when printing, but only if the input...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Tables Form-Controls
  Show dependency treegraph
 
Reported: 2014-07-08 03:04 UTC by mchan223
Modified: 2017-07-30 10:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample setup - hit Ctrl+P and watch cell A2 turn to zero for no apparent reason (16.22 KB, application/vnd.oasis.opendocument.text)
2014-07-08 03:04 UTC, mchan223
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mchan223 2014-07-08 03:04:20 UTC
Created attachment 102403 [details]
Sample setup - hit Ctrl+P and watch cell A2 turn to zero for no apparent reason

Problem description: 

Steps to reproduce:
1. Put 2 or more input fields in a cell in a table.
2. In another cell, plug in a formula based on the variables represented by those input fields in combination with values stored directly in other cells.
3. Print.

Current behavior: The cell containing the formula will spit out zero or "Expression is faulty", even though the formula never actually references the cell.

Expected behavior: Print normally, as is the case when there are no input fields whose variables are being used. (The presence of user fields of any kind, or input fields representing variables not being used by the formula, has no effect.)
Operating System: Windows 7
Version: 4.2.5.2 release
Comment 1 ign_christian 2014-07-08 04:09:06 UTC
Seems no need to print to see the misbehavior. Just click any input fields in cell B1 to see changes in A2.

LO 4.2.5.2 - Ubuntu 12.04 x86
Comment 2 Cor Nouws 2014-07-08 07:33:48 UTC
I think there's something wrong with the content of A2: "=a1*a2/a3+<A1>"
Wrong expression.
Have you tried user support, mchan223 ?
 For example there is a group of users with a great variety of skills that can offer help with questions:
  http://www.libreoffice.org/get-help/community-support/

I'm tempted to close as INVALID. But set to NEEDINFO ..

Kind regards
Cor
Comment 3 mchan223 2014-07-08 17:23:19 UTC
If there were something wrong with the expression itself it should not work just fine when I first enter it. It's only when I hit Print or start clicking around on other things that the problem appears.

In the attached example it seems that the error appears if I delete all the input fields, BUT if I were to delete the input fields and then insert user fields for the same variables it works fine.
Comment 4 mchan223 2014-07-08 17:53:21 UTC
I should add that lower-case, unbracketed "a1", "a2" and "a3" are the names of the variables.

I also confirm that this glitch happens even if I replace the formula with a1+a2+a3+<A1>, <A1>+a1+a2+a3, or a1+a2+a3.

All 3 of the variables are "General" not "Text" though in the document I first noticed this problem in setting everything to "General" made no difference.
Comment 5 Buovjaga 2014-11-25 09:31:44 UTC
Opening attachment 102403 [details], A2 was already 0.
When I clicked it, it turned into Expression is faulty.
I clicked out of it and it turned into 0,67.
I clicked A1 and A2 turned into 4,67.
Closed, reopened, A2 was still 4,67.
Clicked out of the table and it turned to 0.

Setting to NEW.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 772befa08f02b08da1ab493896a0744bc73781c7
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-23_22:39:02
Comment 6 Buovjaga 2015-01-10 18:05:29 UTC
(In reply to mchan223 from comment #0)
> Created attachment 102403 [details]
> Sample setup - hit Ctrl+P and watch cell A2 turn to zero for no apparent
> reason

Just reproduced this with 3.3.0.

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 QA Administrators 2016-01-17 20:04:19 UTC Comment hidden (obsolete)
Comment 8 mchan223 2016-01-18 18:38:08 UTC
Still present as of 4.4.7.2, now also forgets to add the "4" inputted directly into the table (which happens even if I explicitly insert the variables outside the table).
Comment 9 Buovjaga 2016-01-18 18:56:35 UTC
(In reply to mchan223 from comment #8)
> Still present as of 4.4.7.2, now also forgets to add the "4" inputted
> directly into the table (which happens even if I explicitly insert the
> variables outside the table).

What about 5.0.4?
Comment 10 mchan223 2016-01-18 20:14:08 UTC
Same thing in 5.0.4.2.


(Apparently 4.4.7.2's auto-update-check isn't working, but I assume that's already resolved.)
Comment 11 QA Administrators 2017-03-06 14:22:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306